dsc-datatool(1)

NAME
dsc-datatool - Tool for converting, exporting, merging and transforming DSC data.

SYNOPSIS
dsc-datatool [-h] [-c CONF] [-s SERVER] [-n NODE] [-x XML] [-d DAT] [--dataset DATASET] [-o OUTPUT] [-t TRANSFORM]] [-g GENERATOR] [--list] [--skipped-key SKIPPED_KEY] [--skipped-sum-key SKIPPED_SUM_KEY] [-v] [-V]

DESCRIPTION
Tool for converting, exporting, merging and transforming DSC data.

Please have a look at the wiki article on how to set this up using Influx DB and Grafana.

https://github.com/DNS-OARC/dsc-datatool/wiki/Setting-up-a-test-Grafana

OPTIONS

-h, --help
    show this help message and exit

-c CONF, --conf CONF
    Not implemented

-s SERVER, --server SERVER
    Specify the server for where the data comes from. (required)

-n NODE, --node NODE
    Specify the node for where the data comes from. (required)

-x XML, --xml XML
    Read DSC data from the given file or directory, can be specified multiple times. If a directory is given then all files ending with .xml will be read.

-d DAT, --dat DAT
    Read DSC data from the given directory, can be specified multiple times. Note that the DAT format is depended on the filename to know what type of data it is.

--dataset DATASET
    Specify that only the list of datasets will be processed, the list is comma separated and the option can be given multiple times.

-o OUTPUT, --output OUTPUT
    OUTPUT has the following format that uses output to specify the output module and sep as an options separator.

          <sep><output>[<sep>option=value...]>

    Can be specified multiple times to output to more then one.

    Use dsc-datatool --list to see a list of modules and the man-page of each output for information about options.

-t TRANSFORM, --transform TRANSFORM
    TRANSFORM has the following format that uses name to specify the transformer module and sep as an options separator. The datasets field can specify which dataset to run the transformer on, or use * to specify all datasets.

          <sep><name><sep><datasets>[<sep>option=value...]>

    Can be specific multiple times to chain transformation, the chain will be executed in the order on command line with one exception. All transformations specified for dataset * will be executed before named dataset transformations.

    Use dsc-datatool --list to see a list of modules and the man-page of each transformer for information about options. For a list of datasets see the DSC configuration that creates the XML files or the documentation for the Presenter that creates the DAT files.

-g GENERATOR, --generator GENERATOR
    GENERATOR has two formats, one to specify a comma separated list of generators and one that uses name to specify the generator module and sep as an options separator.

          <name>[,<name>,...]

          <sep><name>[<sep>option=value...]>

    This option can be given multiple times.

    Use dsc-datatool --list to see a list of modules and the man-page of each generator for information about options.

--list
    List the available generators, transformers and outputs then exit.

--skipped-key SKIPPED_KEY
    Set the special DSC skipped key. (default to "-:SKIPPED:-")

--skipped-sum-key SKIPPED_SUM_KEY
    Set the special DSC skipped sum key. (default to "-:SKIPPED_SUM:-")

--encoding ENCODING
    Set the encoding to use when reading and writing files, default to utf-8.

-v, --verbose
    Increase the verbose level, can be given multiple times.

-V, --version
    Display version and exit.

EXAMPLE
    dsc-datatool \
      --server "$SERVER" \
      --node "$NODE" \
      --output ";InfluxDB;file=influx.txt;dml=1;database=dsc" \
      --transform ";Labler;*;yaml=$HOME/labler.yaml" \
      --transform ";ReRanger;rcode_vs_replylen;range=/64;pad_to=5" \
      --transform ";ReRanger;qtype_vs_qnamelen;range=/16;pad_to=3" \
      --transform ";ReRanger;client_port_range;key=low;range=/2048;pad_to=5" \
      --transform ";ReRanger;edns_bufsiz,priming_queries;key=low;range=/512;pad_to=5;allow_invalid_keys=1" \
      --transform ";ReRanger;priming_responses;key=low;range=/128;pad_to=4" \
      --transform ";NetRemap;client_subnet,client_subnet2,client_addr_vs_rcode,ipv6_rsn_abusers;net=8" \
      --generator client_subnet_country \
      --generator ";client_subnet_authority;fetch=yes" \
      --xml "$XML"

SEE ALSO
dsc-datatool.conf(5), dsc-datatool-[generator|transformer|output] <name>(7)

AUTHORS
Jerry Lundström, DNS-OARC

Maintained by DNS-OARC

    https://www.dns-oarc.net/tools/dsc

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dsc-datatool/issues

For question and help please use:

    https://lists.dns-oarc.net/mailman/listinfo/dsc